using System;
using System.Net;

namespace Lifetime
{
    class Example1
    {
        // Listing 7-1
        public static string GetBlogEntry(string relativeUri)
        {
            var baseUri = new Uri("http://www.interact-sw.co.uk/iangblog/");
            var fullUri = new Uri(baseUri, relativeUri);
            using (var w = new WebClient())
            {
                return w.DownloadString(fullUri);
            }
        }
    }
}
